Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.benchmarks.client
Annotation Type RangeEnum

    @Target(value=PARAMETER)
    @Documented
    public @interface RangeEnum

Specifies an Enum containing the entire range of values for a parameter to a `Benchmark` method.

Required Element Summary
`java.lang.Class<? extends java.lang.Enum<?>>` | `value` An `Enum` that contains the range of values that will be supplied to the test method.

Element Detail

### value

    public abstract java.lang.Class<? extends java.lang.Enum<?>> value

  An `Enum` that contains the range of values that will be supplied to the test method.

  Returns:
    for example, `MyEnum.class`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT